#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <dirent.h>


int main(int argc, char *argv[])
{
	DIR *dp;
	struct dirent *dirp;

	if (argc !=2) {
		printf("Usage: %s directory_name\n",argv[0]);
		return 1;
	}

	if ( (dp=opendir(argv[1])) == NULL)
	{
		fprintf(stderr,"Error: can't open %s: %s\n",argv[1],strerror(errno));
		return 1;
	}

	while ( (dirp=readdir(dp)) != NULL)
		printf("%s\n",dirp->d_name);

	closedir(dp);
	return 0;
}
